Subject: Business Air News Bulletin - May 30, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 31 May 2023 05:01:28 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

ExecuJet branches out in Germany with Kurz FBO deal

Kurz Aviation Service brings 25 years of experience and local expertise to a new partnership with ExecuJet, which will combine perfectly with ExecuJet's extensive industry knowledge and global FBO network.

Weston refreshes brand identity

Weston's existing branding is now 15 years old, and the company believes that the look and feel needs updating, but also wanted something strong and clear that would take it into the next 15 years of its journey.

Chartright completes FBO expansion in Southern Ontario

The upgrade of its Region of Waterloo facility marks a significant milestone for Chartright as it expands its operations to better serve the industry's growing demands and its growing clientele.

Dassault highlights continuous investment and upgrading of MRO network

Dassault Aviation is continuing to expand and modernise its global maintenance repair and overhaul network and to direct more resources towards authorised service facilities.

Lufthansa teases with dual reveal of ACJ and BBJ cabins

The TwoTwenty's cabin dimensions suit the most diverse manifestations of government and special mission aircraft at the price of smaller types, while the BBJ 777-9 cabin design exploits the vast space available there.

Vista steps up Collins unlimited data installations

LuxStream will be installed on more than 100 Vista aircraft. The HTS hardware and solution, exclusive to Collins, allows customers to conduct video conference calls, stream videos and send emails while inflight.

To unsubscribe, please contact [email-masked].